diff -N -P -r -c rtems-4.6.5/c/src/lib/libbsp/ChangeLog rtems-4.6.6/c/src/lib/libbsp/ChangeLog
*** rtems-4.6.5/c/src/lib/libbsp/ChangeLog	2003-08-11 09:38:07.000000000 -0500
--- rtems-4.6.6/c/src/lib/libbsp/ChangeLog	2006-04-24 13:45:03.000000000 -0500
***************
*** 1,3 ****
--- 1,9 ----
+ 2006-04-24	Jiri Gaisler <jiri@gaisler.com>
+ 		Edvin Catovic <edvin@gaisler.com>
+ 
+ 	PR bsps/972
+ 	* shmdr/shm_driver.h: Add sparc lock/unlock values.
+ 
  2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
diff -N -P -r -c rtems-4.6.5/c/src/lib/libbsp/i386/pc386/ChangeLog rtems-4.6.6/c/src/lib/libbsp/i386/pc386/ChangeLog
*** rtems-4.6.5/c/src/lib/libbsp/i386/pc386/ChangeLog	2005-10-04 21:39:35.000000000 -0500
--- rtems-4.6.6/c/src/lib/libbsp/i386/pc386/ChangeLog	2006-04-24 13:50:54.000000000 -0500
***************
*** 1,3 ****
--- 1,16 ----
+ 2006-04-24	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* configure.ac, console/console.c:
+ 
+ 2005-11-08	Till Straumann <strauman@slac.stanford.edu>
+ 
+ 	PR832/bsps
+ 	* startup/ldsegs.S: move CPU segment descriptor tables from .text to
+ 	.data; the CPU modifies the descriptor tables and this could be a
+ 	problem: a) if text segment is ever write-protected b) rtems-gdb-stub
+ 	checksums the text segment against the file gdb is using. A checksum
+ 	mismatch results because of the CPU touching the accessed bit...
+ 
  2005-08-23  Karel Gardas  <kgardas@objectsecurity.com>>
  
  	* timer/timer.c: Enhance to use either interupt-based timer
***************
*** 11,17 ****
  
  2005-09-29	Thomas Doerfler <Thomas.Doerfler@imd-systems.de>
  
! 	PR649/filesystem
  	* ide/idecfg.c: added configuration items for primary/secondary
  	IDE interface
  	* configure.ac: added configuration items for primary/secondary
--- 24,30 ----
  
  2005-09-29	Thomas Doerfler <Thomas.Doerfler@imd-systems.de>
  
! 	PR 649/filesystem
  	* ide/idecfg.c: added configuration items for primary/secondary
  	IDE interface
  	* configure.ac: added configuration items for primary/secondary
diff -N -P -r -c rtems-4.6.5/c/src/lib/libbsp/i386/shared/ChangeLog rtems-4.6.6/c/src/lib/libbsp/i386/shared/ChangeLog
*** rtems-4.6.5/c/src/lib/libbsp/i386/shared/ChangeLog	2004-10-27 14:40:48.000000000 -0500
--- rtems-4.6.6/c/src/lib/libbsp/i386/shared/ChangeLog	2005-11-08 12:53:50.000000000 -0600
***************
*** 1,3 ****
--- 1,9 ----
+ 2005-11-08	Till Straumann <strauman@slac.stanford.edu>
+ 
+ 	PR832/bsps
+ 	* pci/pcibios.c: replace BSP_pciFindDevice implementation by pcibios
+ 	call.
+ 
  2004-09-27      Greg Menke <gregory.menke@gsfc.nasa.gov>
  
  	PR 608/bsps
diff -N -P -r -c rtems-4.6.5/c/src/lib/libbsp/m68k/shared/ChangeLog rtems-4.6.6/c/src/lib/libbsp/m68k/shared/ChangeLog
*** rtems-4.6.5/c/src/lib/libbsp/m68k/shared/ChangeLog	2004-03-05 09:30:57.000000000 -0600
--- rtems-4.6.6/c/src/lib/libbsp/m68k/shared/ChangeLog	2006-03-07 15:56:45.000000000 -0600
***************
*** 1,3 ****
--- 1,11 ----
+ 2006-03-07	Aaron Frye <aaron@frye.com>
+ 
+ 	PR 719/bsps
+ 	* m68kpretaskinghook.c: The optimizer on gcc 3.4.2 assumes that the
+ 	address of a variable cannot be 0, so it optimizes out any such
+ 	checks. this breaks the shared m68k bsp_pretasking_hook() which uses
+ 	such a check to determine heap size during runtime.
+ 
  2004-03-05	Joel Sherrill <joel@OARcorp.com>
  
  	PR 505/bsps
diff -N -P -r -c rtems-4.6.5/c/src/lib/libbsp/powerpc/eth_comm/ChangeLog rtems-4.6.6/c/src/lib/libbsp/powerpc/eth_comm/ChangeLog
*** rtems-4.6.5/c/src/lib/libbsp/powerpc/eth_comm/ChangeLog	2005-10-06 14:35:42.000000000 -0500
--- rtems-4.6.6/c/src/lib/libbsp/powerpc/eth_comm/ChangeLog	2006-04-16 11:00:40.000000000 -0500
***************
*** 1,3 ****
--- 1,9 ----
+ 2005-11-07	Till Straumann <strauman@slac.stanford.edu>
+ 
+ 	PR 834/bsps
+ 	* vectors/vectors.S: reload stack pointer/R1 from exception frame
+ 	instead of adding static offset.
+ 
  2005-10-06	Till Straumann <strauman@slac.stanford.edu>
  
  	PR 833/bsps
diff -N -P -r -c rtems-4.6.5/c/src/lib/libbsp/powerpc/mbx8xx/ChangeLog rtems-4.6.6/c/src/lib/libbsp/powerpc/mbx8xx/ChangeLog
*** rtems-4.6.5/c/src/lib/libbsp/powerpc/mbx8xx/ChangeLog	2005-10-06 14:35:58.000000000 -0500
--- rtems-4.6.6/c/src/lib/libbsp/powerpc/mbx8xx/ChangeLog	2006-04-16 11:00:40.000000000 -0500
***************
*** 1,3 ****
--- 1,9 ----
+ 2005-11-07	Till Straumann <strauman@slac.stanford.edu>
+ 
+ 	PR 834/bsps
+ 	* vectors/vectors.S: reload stack pointer/R1 from exception frame
+ 	instead of adding static offset.
+ 
  2005-10-06	Till Straumann <strauman@slac.stanford.edu>
  
  	PR 833/bsps
diff -N -P -r -c rtems-4.6.5/c/src/lib/libbsp/powerpc/mpc8260ads/ChangeLog rtems-4.6.6/c/src/lib/libbsp/powerpc/mpc8260ads/ChangeLog
*** rtems-4.6.5/c/src/lib/libbsp/powerpc/mpc8260ads/ChangeLog	2005-10-06 14:36:09.000000000 -0500
--- rtems-4.6.6/c/src/lib/libbsp/powerpc/mpc8260ads/ChangeLog	2006-04-16 11:00:40.000000000 -0500
***************
*** 1,3 ****
--- 1,9 ----
+ 2005-11-07	Till Straumann <strauman@slac.stanford.edu>
+ 
+ 	PR 834/bsps
+ 	* vectors/vectors.S: reload stack pointer/R1 from exception frame
+ 	instead of adding static offset.
+ 
  2005-10-06	Till Straumann <strauman@slac.stanford.edu>
  
  	PR 833/bsps
diff -N -P -r -c rtems-4.6.5/c/src/lib/libbsp/powerpc/psim/ChangeLog rtems-4.6.6/c/src/lib/libbsp/powerpc/psim/ChangeLog
*** rtems-4.6.5/c/src/lib/libbsp/powerpc/psim/ChangeLog	2005-04-11 14:58:14.000000000 -0500
--- rtems-4.6.6/c/src/lib/libbsp/powerpc/psim/ChangeLog	2006-04-16 11:00:40.000000000 -0500
***************
*** 1,7 ****
  2005-04-11      Jennifer Averett <jennifer@OARcorp.com>
  
!         PR 777/bsps
!         * include/bsp.h: Add a Processor_Synchronize command in bsp.h
  
  2005-03-17	Joel Sherrill <joel@OARcorp.com>
  
--- 1,13 ----
+ 2005-11-07	Till Straumann <strauman@slac.stanford.edu>
+ 
+ 	PR 834/bsps
+ 	* vectors/vectors.S: reload stack pointer/R1 from exception frame
+ 	instead of adding static offset.
+ 
  2005-04-11      Jennifer Averett <jennifer@OARcorp.com>
  
! 	PR 777/bsps
! 	* include/bsp.h: Add a Processor_Synchronize command in bsp.h
  
  2005-03-17	Joel Sherrill <joel@OARcorp.com>
  
diff -N -P -r -c rtems-4.6.5/c/src/lib/libbsp/powerpc/shared/ChangeLog rtems-4.6.6/c/src/lib/libbsp/powerpc/shared/ChangeLog
*** rtems-4.6.5/c/src/lib/libbsp/powerpc/shared/ChangeLog	2005-10-06 14:35:34.000000000 -0500
--- rtems-4.6.6/c/src/lib/libbsp/powerpc/shared/ChangeLog	2006-04-16 11:00:40.000000000 -0500
***************
*** 1,3 ****
--- 1,24 ----
+ 2005-11-08	Till Straumann <strauman@slac.stanford.edu>
+ 
+ 	PR 845/bsps
+ 	* startup/bspstart.c, start/start.S: setup BATs prior to attempting any
+ 	device access - missing BAT mappings were probably the reason for the
+ 	MMU malfunction assumption. Enabled MSR_DR.
+ 
+ 2005-11-08	Till Straumann <strauman@slac.stanford.edu>
+ 
+ 	PR 837/bsps
+ 	* startup/bspstart.c, pci/detect_raven_bridge.c: Make sure
+ 	exceptions_in_RAM flag is set prior to initializing exception
+ 	handling. Keep MCP disabled for memory probes :-( (the raven would
+ 	otherwise fault on PCI config space access to empty slots).
+ 
+ 2005-11-07	Till Straumann <strauman@slac.stanford.edu>
+ 
+ 	PR 834/bsps
+ 	* vectors/vectors.S: reload stack pointer/R1 from exception frame
+ 	instead of adding static offset.
+ 
  2005-10-06	Till Straumann <strauman@slac.stanford.edu>
  
  	PR 833/bsps
diff -N -P -r -c rtems-4.6.5/c/src/lib/libbsp/sparc/erc32/ChangeLog rtems-4.6.6/c/src/lib/libbsp/sparc/erc32/ChangeLog
*** rtems-4.6.5/c/src/lib/libbsp/sparc/erc32/ChangeLog	2005-10-05 14:25:07.000000000 -0500
--- rtems-4.6.6/c/src/lib/libbsp/sparc/erc32/ChangeLog	2006-03-07 14:50:41.000000000 -0600
***************
*** 1,3 ****
--- 1,7 ----
+ 2006-03-07	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* wrapup/Makefile.am: Correct minor mistake.
+ 
  2005-10-05  Jiri Gaisler <jiri@gaisler.com>
              Edvin Catovic <edvin@gaisler.com>
              Konrad Eisele <konrad@gaisler.com>
diff -N -P -r -c rtems-4.6.5/c/src/lib/libbsp/sparc/erc32/tools/ChangeLog rtems-4.6.6/c/src/lib/libbsp/sparc/erc32/tools/ChangeLog
*** rtems-4.6.5/c/src/lib/libbsp/sparc/erc32/tools/ChangeLog	2003-08-14 08:12:58.000000000 -0500
--- rtems-4.6.6/c/src/lib/libbsp/sparc/erc32/tools/ChangeLog	2006-03-07 12:17:17.000000000 -0600
***************
*** 1,3 ****
--- 1,7 ----
+ 2006-03-07	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* Makefile.am: Correct minor mistakes.
+ 
  2003-08-14	Joel Sherrill <joel@OARcorp.com>
  
  	* runtest.in: Add fileio to list of interactive tests.
diff -N -P -r -c rtems-4.6.5/c/src/lib/libbsp/sparc/leon2/ChangeLog rtems-4.6.6/c/src/lib/libbsp/sparc/leon2/ChangeLog
*** rtems-4.6.5/c/src/lib/libbsp/sparc/leon2/ChangeLog	2005-10-06 07:08:15.000000000 -0500
--- rtems-4.6.6/c/src/lib/libbsp/sparc/leon2/ChangeLog	2006-04-24 12:03:14.000000000 -0500
***************
*** 1,3 ****
--- 1,11 ----
+ 2006-04-24	Jiri Gaisler <jiri@gaisler.com>
+ 		Edvin Catovic <edvin@gaisler.com>
+ 
+ 	PR bsps/972
+ 	* console/debugputs.c, include/bsp.h, include/coverhd.h,
+ 	include/leon.h, leon_smc91111/leon_smc91111.c, startup/setvec.c,
+ 	startup/spurious.c: Add tm27 support and cleanup.
+ 
  2005-10-06	Joel Sherrill <joel@OARcorp.com>
  
  	* include/bsp.h: Remove include of libchip/smc91111exp.h from bsp.h
diff -N -P -r -c rtems-4.6.5/c/src/lib/libbsp/sparc/leon2/tools/ChangeLog rtems-4.6.6/c/src/lib/libbsp/sparc/leon2/tools/ChangeLog
*** rtems-4.6.5/c/src/lib/libbsp/sparc/leon2/tools/ChangeLog	2005-10-05 18:02:08.000000000 -0500
--- rtems-4.6.6/c/src/lib/libbsp/sparc/leon2/tools/ChangeLog	2006-04-20 16:12:01.000000000 -0500
***************
*** 1,3 ****
--- 1,8 ----
+ 2006-04-20	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* Makefile.am: Fix path on installation to avoid writing
+ 	to install location too early.
+ 
  2005-10-05	Joel Sherrill <joel@OARcorp.com>
  
  	* ChangeLog, Makefile.am: Fix hard-coded reference to leon BSP and use
diff -N -P -r -c rtems-4.6.5/c/src/lib/libbsp/sparc/leon3/ChangeLog rtems-4.6.6/c/src/lib/libbsp/sparc/leon3/ChangeLog
*** rtems-4.6.5/c/src/lib/libbsp/sparc/leon3/ChangeLog	2005-10-05 17:34:50.000000000 -0500
--- rtems-4.6.6/c/src/lib/libbsp/sparc/leon3/ChangeLog	2006-04-24 13:37:15.000000000 -0500
***************
*** 1,3 ****
--- 1,21 ----
+ 2006-04-24	Jiri Gaisler <jiri@gaisler.com>
+ 		Edvin Catovic <edvin@gaisler.com>
+ 
+ 
+ 	PR bsps/972
+ 	* ChangeLog, Makefile.am, configure.ac, amba/amba.c, clock/ckinit.c,
+ 	console/Makefile.am, console/console.c, console/debugputs.c,
+ 	include/Makefile.am, include/amba.h, include/bsp.h, include/leon.h,
+ 	leon_smc91111/leon_smc91111.c, startup/bspstart.c, timer/timer.c,
+ 	tools/Makefile.am, wrapup/Makefile.am: Added Shared Memory Support
+ 	Driver.  Added Leon Gaisler Research Ethernet support. Enhanced AMBA
+ 	bus support.
+ 	* console/debugprintf.c, console/spacewire.c, include/spacewire.h,
+ 	leon_greth/.cvsignore, leon_greth/Makefile.am,
+ 	leon_greth/leon_greth.c, shmsupp/.cvsignore, shmsupp/Makefile.am,
+ 	shmsupp/addrconv.c, shmsupp/getcfg.c, shmsupp/lock.c,
+ 	shmsupp/mpisr.c: New files.
+ 
  2005-10-05	Joel Sherrill <joel@OARcorp.com>
  
  	* amba/amba.c: Fix obvious typo introduced with addition of missing CVS
diff -N -P -r -c rtems-4.6.5/c/src/lib/libbsp/unix/posix/ChangeLog rtems-4.6.6/c/src/lib/libbsp/unix/posix/ChangeLog
*** rtems-4.6.5/c/src/lib/libbsp/unix/posix/ChangeLog	2003-09-04 13:45:40.000000000 -0500
--- rtems-4.6.6/c/src/lib/libbsp/unix/posix/ChangeLog	2006-04-24 10:46:10.000000000 -0500
***************
*** 1,3 ****
--- 1,7 ----
+ 2006-04-24	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* startup/Makefile.am:
+ 
  2003-09-04	Joel Sherrill <joel@OARcorp.com>
  
  	* clock/clock.c, console/console.c, include/bsp.h, shmsupp/addrconv.c,
diff -N -P -r -c rtems-4.6.5/c/src/libchip/ChangeLog rtems-4.6.6/c/src/libchip/ChangeLog
*** rtems-4.6.5/c/src/libchip/ChangeLog	2005-10-05 14:29:23.000000000 -0500
--- rtems-4.6.6/c/src/libchip/ChangeLog	2006-04-24 13:42:38.000000000 -0500
***************
*** 1,3 ****
--- 1,11 ----
+ 2006-04-24	Jiri Gaisler <jiri@gaisler.com>
+ 		Edvin Catovic <edvin@gaisler.com>
+ 
+ 
+ 	PR bsps/972
+ 	* network/Makefile.am: Added Gaisler Research NIC driver.
+ 	* network/greth.c, network/greth.h: New files.
+ 
  2005-10-05  Jiri Gaisler <jiri@gaisler.com>
              Edvin Catovic <edvin@gaisler.com>
              Konrad Eisele <konrad@gaisler.com>
diff -N -P -r -c rtems-4.6.5/c/src/libnetworking/ChangeLog rtems-4.6.6/c/src/libnetworking/ChangeLog
*** rtems-4.6.5/c/src/libnetworking/ChangeLog	2005-05-20 14:31:18.000000000 -0500
--- rtems-4.6.6/c/src/libnetworking/ChangeLog	2006-03-07 15:37:35.000000000 -0600
***************
*** 1,3 ****
--- 1,19 ----
+ 2006-03-07	Paul Whitfield <paulw@omnitronics.com.au>
+ 
+ 	PR 843/rtems_misc
+ 	* rtems_webserver/socket.c: There is a memory corruption problem in the
+ 	selectSocket function in the web server, this only become apparent if
+ 	you disable the built in memory allocation functions. I have disabled
+ 	the internal memory management to get file upload working.
+ 
+ 2006-02-08	Thomas Rauscher  <trauscher@loytec.com>
+ 
+ 	PR 890/networking
+ 	* rtems_webserver/webs.c: The webservers enters an infinite loop when a
+ 	POST request with less data than indicated in the Content-Length
+ 	header is received. It also consumes additional heap memory and a
+ 	file descriptor for each invalid POST.
+ 
  2005-05-20	Sergei Organov  <osv@topconrd.ru>
  
  	PR 750/networking
diff -N -P -r -c rtems-4.6.5/c/src/tests/support/ChangeLog rtems-4.6.6/c/src/tests/support/ChangeLog
*** rtems-4.6.5/c/src/tests/support/ChangeLog	2004-02-03 18:39:47.000000000 -0600
--- rtems-4.6.6/c/src/tests/support/ChangeLog	2006-02-01 13:44:09.000000000 -0600
***************
*** 1,3 ****
--- 1,8 ----
+ 2006-02-01	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 855/tests
+ 	* include/tmacros.h: Fix typo.
+ 
  2004-02-03	Joel Sherrill <joel@OARcorp.com>
  
  	* include/buffer_test_io.h: Do not use iprintf() if in ANSI compiler
diff -N -P -r -c rtems-4.6.5/ChangeLog rtems-4.6.6/ChangeLog
*** rtems-4.6.5/ChangeLog	2005-10-06 14:43:29.000000000 -0500
--- rtems-4.6.6/ChangeLog	2006-04-24 13:53:34.000000000 -0500
***************
*** 1,3 ****
--- 1,11 ----
+ 2006-04-24	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* VERSION: Updated to rtems-4.6.6.
+ 
+ 2006-04-24	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* aclocal/version.m4: Updated to rtems-4.6.6.
+ 
  2005-10-06	Joel Sherrill <joel@OARcorp.com>
  
  	* VERSION: Updated to rtems-4.6.5.
***************
*** 842,848 ****
  
  2001-11-13	Joel Sherrill <joel@OARcorp.com>
  
! 	* COPYING: Test of ChangeLog,v 1.178.2.70 2005/10/06 19:43:29 joel Exp -> $RTEMS$.
  
  2001-11-08	Dennis Ehlin (ECS) <Dennis.Ehlin@ecs.ericsson.se>
  
--- 850,856 ----
  
  2001-11-13	Joel Sherrill <joel@OARcorp.com>
  
! 	* COPYING: Test of $Id: ChangeLog,v 1.178.2.72 2006/04/24 18:53:34 joel Exp $ -> $RTEMS$.
  
  2001-11-08	Dennis Ehlin (ECS) <Dennis.Ehlin@ecs.ericsson.se>
  
diff -N -P -r -c rtems-4.6.5/cpukit/ChangeLog rtems-4.6.6/cpukit/ChangeLog
*** rtems-4.6.5/cpukit/ChangeLog	2005-10-06 14:43:28.000000000 -0500
--- rtems-4.6.6/cpukit/ChangeLog	2006-04-24 13:53:32.000000000 -0500
***************
*** 1,3 ****
--- 1,13 ----
+ 2006-04-24	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* aclocal/version.m4: Updated to rtems-4.6.6.
+ 
+ 2005-12-09      Till Straumann <strauman@slac.stanford.edu>
+ 
+ 	PR 849/networking
+ 	* librpc/src/rpc/rtems_portmapper.c: Increased stack size
+ 	by ARGSIZE to prevent overrun.
+ 
  2005-10-06	Joel Sherrill <joel@OARcorp.com>
  
  	* aclocal/version.m4: Updated to rtems-4.6.5.
diff -N -P -r -c rtems-4.6.5/cpukit/libcsupport/ChangeLog rtems-4.6.6/cpukit/libcsupport/ChangeLog
*** rtems-4.6.5/cpukit/libcsupport/ChangeLog	2005-08-30 23:34:58.000000000 -0500
--- rtems-4.6.6/cpukit/libcsupport/ChangeLog	2006-03-07 16:22:46.000000000 -0600
***************
*** 1,3 ****
--- 1,15 ----
+ 2006-03-07	Till Strauman <strauman@slac.stanford.edu>
+ 
+ 	PR 830/filesystem
+ 	* src/termios.c: termios ioctl(FIONREAD) reported wrong number of
+ 	characters. So add chars in low-level/raw buffer to total count.
+ 
+ 2006-03-07	Till Strauman <strauman@slac.stanford.edu>
+ 
+ 	PR 886/filesystem
+ 	* src/libio.c: fcntl(fd,F_GETFL) fails to set O_NONBLOCK if the
+ 	descriptor is in non-blocking mode.
+ 
  2005-08-31  Ralf Corsepius  <ralf.corsepius@rtems.org>
  
          PR 819/filesystem
diff -N -P -r -c rtems-4.6.5/cpukit/score/ChangeLog rtems-4.6.6/cpukit/score/ChangeLog
*** rtems-4.6.5/cpukit/score/ChangeLog	2005-09-01 11:31:22.000000000 -0500
--- rtems-4.6.6/cpukit/score/ChangeLog	2006-03-07 16:09:49.000000000 -0600
***************
*** 1,3 ****
--- 1,25 ----
+ 2006-03-07	Steven Johnson <sjohnson@sakuraindustries.com>
+ 
+ 	PR 850/rtems
+ 	* src/watchdogtickle.c: A Watchdog (used to timeout an event) with
+ 	a delay of 1 sometimes does not seem to timeout.  The problem
+ 	occurs, because for whatever reason when the watchdog tickle function
+ 	executes, the watchdog->delta_interval is 0. it is then decremented
+ 	before being tested, becomes huge and so doesnt time out.  It is
+ 	thought there is a race condition where the watchdog->delta_interval
+ 	is calculated by reference to a head (also with a delay of 1). But
+ 	before it can be added after the head, the head is removed, so the
+ 	new head now has a delay of 0.
+ 
+ 2006-03-07	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 866/rtems
+ 	* include/rtems/system.h, include/rtems/score/isr.h,
+ 	inline/rtems/score/thread.inl, macros/rtems/score/thread.inl: Added
+ 	memory barriers to enter and exit of dispatching and interrupt
+ 	critical sections so GCC will not optimize and reorder code out of a
+ 	critical section.
+ 
  2005-09-01	Joel Sherrill <joel@OARcorp.com>
  
  	PR 820/rtems
diff -N -P -r -c rtems-4.6.5/cpukit/score/cpu/m68k/ChangeLog rtems-4.6.6/cpukit/score/cpu/m68k/ChangeLog
*** rtems-4.6.5/cpukit/score/cpu/m68k/ChangeLog	2003-09-04 13:47:28.000000000 -0500
--- rtems-4.6.6/cpukit/score/cpu/m68k/ChangeLog	2006-03-01 10:01:30.000000000 -0600
***************
*** 1,3 ****
--- 1,8 ----
+ 2006-03-01      Eric Norum <norume@aps.anl.gov>
+ 
+ 	* rtems/score/m68k.h: Add "cc" in the clobbered register list for
+ 	interrupt enable/disable/flash operations.
+ 
  2003-09-04	Joel Sherrill <joel@OARcorp.com>
  
  	* cpu.c, cpu_asm.S, rtems/score/cpu.h, rtems/score/m68k.h,
diff -N -P -r -c rtems-4.6.5/make/ChangeLog rtems-4.6.6/make/ChangeLog
*** rtems-4.6.5/make/ChangeLog	2005-10-06 11:52:18.000000000 -0500
--- rtems-4.6.6/make/ChangeLog	2006-04-16 11:00:41.000000000 -0500
***************
*** 1,10 ****
  2005-10-06	Joel Sherrill <joel@OARcorp.com>
  
  	* custom/leon3.cfg: New file.
  
  2005-10-05  Jiri Gaisler <jiri@gaisler.com>
!             Edvin Catovic <edvin@gaisler.com>
!             Konrad Eisele <konrad@gaisler.com>
  
  	PR 827/bsps
  	* custom/Makefile.am, custom/erc32.cfg, custom/erc32nfp.cfg,
--- 1,15 ----
+ 2006-01-09	Ralf Corsepius <ralf.corsepius@rtems.org>
+ 
+ 	* custom/erc32nfg.cfg: Correct file having been broken by
+ 	2005-10-05's changes.
+ 
  2005-10-06	Joel Sherrill <joel@OARcorp.com>
  
  	* custom/leon3.cfg: New file.
  
  2005-10-05  Jiri Gaisler <jiri@gaisler.com>
! 	    Edvin Catovic <edvin@gaisler.com>
! 	    Konrad Eisele <konrad@gaisler.com>
  
  	PR 827/bsps
  	* custom/Makefile.am, custom/erc32.cfg, custom/erc32nfp.cfg,
